Bug 1927954 - [sig-network-edge][Conformance][Area:Networking][Feature:Router] The HAProxy router should be able to connect to a service that is idled because a GET on the route will unidle it
Summary: [sig-network-edge][Conformance][Area:Networking][Feature:Router] The HAProxy ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.6.z
Assignee: Andrew McDermott
QA Contact: Arvind iyengar
URL:
Whiteboard:
Depends On: 1927953
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-11 23:18 UTC by OpenShift BugZilla Robot
Modified: 2021-06-08 13:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-08 13:54:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25893 0 None closed [release-4.6] Bug 1927954: test/extended/router/idle: address flakes/failures seen in CI 2021-05-26 16:41:27 UTC
Red Hat Product Errata RHBA-2021:2157 0 None None None 2021-06-08 13:54:39 UTC

Comment 6 Andrew McDermott 2021-04-13 15:02:23 UTC
The difference (I believe) between 4.6 and 4.7 (where this doesn't appear to be failing is):

https://github.com/openshift/origin/pull/26069

I'd like to retest after 26069 merges.

Comment 8 Andrew McDermott 2021-05-10 18:40:04 UTC
Please can we verify this now that https://github.com/openshift/origin/pull/26069 has merged. Re: comment #6.

Comment 9 Miciah Dashiel Butler Masters 2021-05-26 16:45:57 UTC
Setting to ON_QA per comment 8.

Comment 11 Arvind iyengar 2021-05-31 08:00:35 UTC
There are no more failures noted for the "aws-proxy" environment: 
------
https://testgrid.k8s.io/redhat-openshift-ocp-release-4.6-informing#periodic-ci-openshift-release-master-nightly-4.6-e2e-aws-proxy
------

Comment 15 errata-xmlrpc 2021-06-08 13:54:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.32 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2157


Note You need to log in before you can comment on or make changes to this bug.